## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20251023.1114

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pointcloud_to_laserscan)

find_package(catkin REQUIRED COMPONENTS
  laser_geometry
  message_filters
  nodelet
  roscpp
  sensor_msgs
  tf2
  tf2_ros
  tf2_sensor_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES laserscan_to_pointcloud pointcloud_to_laserscan
  CATKIN_DEPENDS laser_geometry message_filters nodelet roscpp sensor_msgs tf2 tf2_ros tf2_sensor_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(laserscan_to_pointcloud src/laserscan_to_pointcloud_nodelet.cpp)
target_link_libraries(laserscan_to_pointcloud ${catkin_LIBRARIES})

add_executable(laserscan_to_pointcloud_node src/laserscan_to_pointcloud_node.cpp)
target_link_libraries(laserscan_to_pointcloud_node laserscan_to_pointcloud ${catkin_LIBRARIES})

add_library(pointcloud_to_laserscan src/pointcloud_to_laserscan_nodelet.cpp)
target_link_libraries(pointcloud_to_laserscan ${catkin_LIBRARIES})

add_executable(pointcloud_to_laserscan_node src/pointcloud_to_laserscan_node.cpp)
target_link_libraries(pointcloud_to_laserscan_node pointcloud_to_laserscan ${catkin_LIBRARIES})

install(TARGETS
  laserscan_to_pointcloud
  laserscan_to_pointcloud_node
  pointcloud_to_laserscan
  pointcloud_to_laserscan_node
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

## ros-one-pointcloud-to-laserscan 1.4.1-1jammy.20251023.1053

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1jammy.20251023.1053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 10:53:02 +0000

ros-one-pointcloud-to-laserscan (1.4.1-0jammy) jammy; urgency=high

  * LaserScan to PointCloud node + nodelet (#28 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/28>)
  * fix roslint (#29 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/29>)
  * Merge pull request #20 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/20> from ros-perception/range_max_check
    Add check for range_max
  * Add check for range_max
  * Contributors: Paul Bovbel, Rein Appeldoorn

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Aug 2019 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.4.0-0jammy) jammy; urgency=high

  * Added inf_epsilon parameter that determines the value added to max range when use_infs parameter is set to false
  * Merge pull request #11 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/11> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * Migrate to package format 2; add roslint
  * Add sane parameter defaults; fixup lint warnings
  * update to use non deprecated pluginlib macro
  * Contributors: Mikael Arguedas, Paul Bovbel, Prasanna Kannappan

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Nov 2017 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.3.1-0jammy) jammy; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/4> from yoshimalucky/fix-miscalculation-in-angle-increment
    Fixed miscalculation in angle_increment in the launch files.
  * fixed miscalculation in angle_increment in the launchfiles.
  * Contributors: Paul Bovbel, yoshimalucky

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.3.0-0jammy) jammy; urgency=high

  * Fix pointcloud to laserscan transform tolerance issues
  * Move pointcloud_to_laserscan to new repository
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jun 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.7-0jammy) jammy; urgency=high

  * Cleanup pointcloud_to_laserscan launch files
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jun 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.6-0jammy) jammy; urgency=high

  * Fix default value for concurrency
  * Fix multithreaded lazy pub sub
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.5-0jammy) jammy; urgency=high

  * Switch to tf_sensor_msgs for transform
  * Set parameters in sample launch files to default
  * Add tolerance parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.4-0jammy) jammy; urgency=high

  * Remove stray dependencies
  * Refactor with tf2 and message filters
  * Remove roslaunch check
  * Fix regressions
  * Refactor to allow debug messages from node and nodelet
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.3-0jammy) jammy; urgency=high

  * add launch tests
  * refactor naming and fix nodelet export
  * set default target frame to empty
  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.2-0jammy) jammy; urgency=high

  * clean up package.xml
  * Fix header reference
  * Fix flow
  * Fix pointer assertion
  * Finalize pointcloud to laserscan
  * Initial pointcloud to laserscan commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-pointcloud-to-laserscan
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-laser-geometry, ros-one-message-filters, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-tf2-sensor-msgs
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-one-pointcloud-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-laser-geometry, ros-one-message-filters, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-tf2-sensor-msgs
Description: Converts a 3D Point Cloud into a 2D laser scan.
 This is useful for making devices like the Kinect appear like a laser scanner for 2D-based algorithms (e.g. laser-based SLAM).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pointcloud-to-laserscan//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pointcloud-to-laserscan 1.4.1-1jammy.20251207.2322

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1jammy.20251207.2322) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sun, 07 Dec 2025 23:22:38 +0000

## ros-one-pointcloud-to-laserscan 1.4.1-1jammy.20260221.2216

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1jammy.20260221.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 21 Feb 2026 22:16:53 +0000

## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20251023.1114

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1noble.20251023.1114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 11:14:32 +0000

ros-one-pointcloud-to-laserscan (1.4.1-0noble) noble; urgency=high

  * LaserScan to PointCloud node + nodelet (#28 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/28>)
  * fix roslint (#29 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/29>)
  * Merge pull request #20 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/20> from ros-perception/range_max_check
    Add check for range_max
  * Add check for range_max
  * Contributors: Paul Bovbel, Rein Appeldoorn

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Aug 2019 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.4.0-0noble) noble; urgency=high

  * Added inf_epsilon parameter that determines the value added to max range when use_infs parameter is set to false
  * Merge pull request #11 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/11> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * Migrate to package format 2; add roslint
  * Add sane parameter defaults; fixup lint warnings
  * update to use non deprecated pluginlib macro
  * Contributors: Mikael Arguedas, Paul Bovbel, Prasanna Kannappan

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Nov 2017 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.3.1-0noble) noble; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/4> from yoshimalucky/fix-miscalculation-in-angle-increment
    Fixed miscalculation in angle_increment in the launch files.
  * fixed miscalculation in angle_increment in the launchfiles.
  * Contributors: Paul Bovbel, yoshimalucky

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.3.0-0noble) noble; urgency=high

  * Fix pointcloud to laserscan transform tolerance issues
  * Move pointcloud_to_laserscan to new repository
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jun 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.7-0noble) noble; urgency=high

  * Cleanup pointcloud_to_laserscan launch files
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jun 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.6-0noble) noble; urgency=high

  * Fix default value for concurrency
  * Fix multithreaded lazy pub sub
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.5-0noble) noble; urgency=high

  * Switch to tf_sensor_msgs for transform
  * Set parameters in sample launch files to default
  * Add tolerance parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.4-0noble) noble; urgency=high

  * Remove stray dependencies
  * Refactor with tf2 and message filters
  * Remove roslaunch check
  * Fix regressions
  * Refactor to allow debug messages from node and nodelet
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.3-0noble) noble; urgency=high

  * add launch tests
  * refactor naming and fix nodelet export
  * set default target frame to empty
  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.2-0noble) noble; urgency=high

  * clean up package.xml
  * Fix header reference
  * Fix flow
  * Fix pointer assertion
  * Finalize pointcloud to laserscan
  * Initial pointcloud to laserscan commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 00:00:00 -0000

## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20251208.1016

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1noble.20251208.1016) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Dec 2025 10:16:01 +0000

## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20260221.2312

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1noble.20260221.2312) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 21 Feb 2026 23:12:53 +0000
